> For the complete documentation index, see [llms.txt](https://developers.ent.unwallet.world/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.ent.unwallet.world/02_usecase/04_request-to-send-transaction.md).

# unWallet ユーザーに対してトランザクション送信をリクエストする

## 手順

### 1. unWallet 認証を終わらせる

unWallet ユーザーに対してトランザクション送信をリクエストするためには、該当ユーザーがリクエスト元となる認証アプリケーションとの接続を認可している必要があります。この認可は [unWallet 認証](/02_usecase/01_connect-to-unwallet.md) の中で行われますので、まずはこちらを終わらせてください。

### 2. トランザクションチケットトークンを発行する

[POST /issueTransactionTicket](/01_spec/01_http-endpoint/01_interface/01_blockchain.md#issuetransactionticket) を利用して、トランザクションチケットトークンを発行してください。なお、この処理はアプリケーションのバックエンドで行なってください。

### 3. トランザクション送信をリクエストする

クライアントサイド SDK の `sendTransaction` を実行し、unWallet ユーザーに対してトランザクション送信をリクエストしてください。なお、`sendTransaction` の引数である `ticketToken` には、前段で発行したトランザクションチケットトークンを指定してください。それ以外の引数には、前段でトランザクションチケットトークンを発行した際に指定した値と同じ値を指定してください。

{% hint style="info" %}
`sendTransaction` の詳細な仕様については [こちら](/01_spec/02_client-side-sdk/02_interface.md#sendtransaction) を参照してください。
{% endhint %}

リクエストが不正とみなされてしまう場合は、前段で登録した認証アプリケーションの `allowedCallerOrigins` が正しく設定されているかを確認してください。

なお、`sendTransaction` の返り値には送信したトランザクションに関する情報が含まれます。後続の処理で利用しますので、適宜保存しておいてください。

### 4. トランザクションのステータスを確認する

[GET /getTransaction](/01_spec/01_http-endpoint/01_interface/01_blockchain.md#gettransaction) を利用して、送信したトランザクションのステータスを確認することができます。

リクエスト直後のステータスは `pending` ですが、該当トランザクションがブロックチェーンに取り込まれると `success` または `failure` に変わります。このことを考慮して後続の処理を行なってください。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.ent.unwallet.world/02_usecase/04_request-to-send-transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
